/**********************************************************************
 * File  : sdl_events.hpp
 * Author: Lightness1024
 *         mailto:lightness1024@free.fr
 * Date  : 05/05/2009
 *********************************************************************/

#ifndef SDL_EVENTS_HPP_INC_05_05_2009__1717940_
#define SDL_EVENTS_HPP_INC_05_05_2009__1717940_ 1

#include <SDL/SDL.h>


enum EKeyboardMenuEntries
{
	KBME_NONE,
	KBME_UNHANDLED,
	KBME_EXIT,
	KBME_UP,
	KBME_DOWN,
	KBME_LEFT,
	KBME_RIGHT,
	KBME_CTRL,
	KBME_END,
	KBME_HOME,
	KBME_VALIDATE,
	
	KBME_KUP_UNHANDLED,  // attention: garder cette valeur inferieure aux suivantes !
	KBME_KUP_UP,
	KBME_KUP_DOWN,
	KBME_KUP_LEFT,
	KBME_KUP_RIGHT,
	KBME_KUP_CTRL
};

EKeyboardMenuEntries HandleMenuEvent(int wait = 100);
int TimedWaitEvent(SDL_Event* e, int ms);
void HandleEvent(SDL_Event event);
void FlushEvents(void);
bool EventPending(void);

#endif //SDL_EVENTS_HPP_INC_05_05_2009__1717940_
