/**********************************************************************
 * File	: randclass.hpp
 * Author: Vivien - a.k.a. Lightness1024!
 *			  mailto:lightness1024@free.fr
 * Date	: 10/07/2007
 *********************************************************************/

#ifndef RANDCLASS_HPP_INC_19_03_2009___3426427_
#define RANDCLASS_HPP_INC_19_03_2009___3426427_ 1

namespace tools
{
	class Random
	{
		int current;

	public:

		unsigned int Get(int ubound = 32768)
		{
			current = current * 1103515245 + 12345;
			return ((unsigned)(current / 65536) % 32768) * (ubound + 1) / 32769;
		}
		void SetSeed(int seed)
		{
			current = seed;
		}

		Random(int seed = 0) : current(seed) { }
	};

}

#endif //RANDCLASS_HPP_INC_19_03_2009___3426427_
