/**********************************************************************
 * File  : type_traits.hpp
 * Author: Lightness1024
 *         mailto:lightness1024@free.fr
 * Date  : 19/03/2009
 *********************************************************************/

#ifndef TYPE_TRAITS_H_INC_19_03_2009__49639313_
#define TYPE_TRAITS_H_INC_19_03_2009__49639313_ 1

namespace tools
{
	namespace trait
	{
		template< typename T >
		struct Zero
		{
			static T value;
		};
		
		template< typename T >
		T Zero<T>::value;   // static-scope constructed -> zero-ed memory space
	}
}

#endif //TYPE_TRAITS_H_INC_19_03_2009__49639313_
