/*** © Lightness1024! ProgrammatO E.U.R.L.    ***/
/*** module de la classe template SecureArray ***/

/*
----------------------------------------------------
Ce logiciel est régi par la licence CeCILL soumise au droit français et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".
(...)
Le fait que vous puissiez accéder à cet en-tête signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accepté les
termes.

lightness1024@free.fr
--------------------------------------------------------
*/

#include "SecureArray.hpp"

//---- fonctions membres de OutOfRangeException ----

OutOfRangeException::OutOfRangeException(int BadIndex, int Elements, const char* ErrorString)
{
	this->BadIndex = BadIndex;
	this->Elements = Elements;
	this->ErrorString = ErrorString;
}

void OutOfRangeException::GetErrorStringPtr(char* buffer, int BuffSize)
{
	if (BuffSize < (signed)strlen(ErrorString) + 30)
	{
		strncpy(buffer, "erreur accès indexé", BuffSize - 1);
		buffer[BuffSize - 1] = 0;
		return;
	}
	sprintf(buffer, ErrorString, BadIndex, Elements);
}

int OutOfRangeException::GetBadIndex(void)
{
	return BadIndex;
}

int OutOfRangeException::GetElements(void)
{
	return Elements;
}
